StocksAndFisheriesKB - Bug #20287

Broken special symbols
Dec 09, 2020 03:37 PM - Bracken van Niekerk

Status: Closed Start date: Dec 09, 2020
Priority: Normal Due date:

Assignee: Yannis Marketakis % Done: 100%
Category: Estimated time: 0.00 hour
Target version: GRSF

Description

Dear Yannis

| found 3 published Sdo Tomé and Principe records and 12 Cote d'lvore records with symbols not correctly displayed within the
GRSF Short Name. These incude:

1) Short Name: Lesser African threadfin - Nigeria, Cameroon, Equatorial Guinea and SA£o TomA® e PrAncipe

GRSF Semantic identifier: asfis:GAL+fao0:34.3.5;fa0:34.3.6
Record URL.: http://data.d4science.org/ctlg/GRSF/41af2a67-0aeb-3df2-823b-6a00d0fdd10e

2) Short Name: Dentex - SA£o TomA® e PrAncipe
GRSF Semantic identifier: asfis:DEX+fa0:34.3.5;fa0:34.3.6
Record URL.: http://data.d4science.org/ctlg/GRSF/87a31545-c77d-3a82-9676-fca8023d696f

3) Short Name: Pandoras - Equatorial Guinea and SA£o TomA® e PrAncipe
GRSF Semantic identifier: asfis:PAX+fao0:34.3.5;fa0:34.3.6
Record URL: http://data.d4science.org/ctlg/GRSF/d0978e52-077¢c-35f2-882f-b2af0f9dbb04

The same for Cote d'lvore

1) Short Name: Common cuttlefish - CA'te d'lvoire

GRSF Semantic identifier: asfis:CTC+fao:34.3.4

Record URL.: http://data.d4science.org/ctlg/GRSF/302639c2-aec2-3f13-a817-7b24810b8a5e

2) Short Name: Dentex - CA'te d'lvoire, Ghana, Togo and Benin
GRSF Semantic identifier: asfis:BSC;asfis:DEA;asfis:DEN;asfis:DEP;asfis:DEX+fa0:34.3.4

Record URL: http:/data.d4science.org/ctlg/GRSF/455d7a1d-e23f-3fd1-9dba-1aa5521d2a59

3) Short Name: Bonga shad - CA‘te d'lvoire, Ghana, Togo and Benin
GRSF Semantic identifier: asfis:BOA+fa0:34.3.4
Record URL: http://data.d4science.org/ctlg/GRSF/196056a1-71b5-3537-aa5b-6b6109494850

4) Short Name: Cunene horse mackerel - CA'te d'lvoire, Ghana, Togo and Benin
GRSF Semantic identifier: asfis:HMZ+fao:34.3.4
Record URL.: http://data.d4science.org/ctlg/GRSF/942b5b8f-ecf5-345a-9baa-80bdfff5c059

5) Short Name: Madeiran sardinella and Round sardinella - Benin, CAte d'lvoire, Ghana and Togo
GRSF Semantic identifier: asfis:SAA;asfis:SAE+fa0:34.3.4
Record URL.: http://data.d4science.org/ctlg/GRSF/d38711ec-2231-3ab0-87¢c7-6a56a282fb42

6) Short Name: European anchovy - CAte d'lvoire, Ghana, Togo and Benin
GRSF Semantic identifier: asfis:ANE+fa0:34.3.4
Record URL.: http://data.d4science.org/ctlg/GRSF/0979cb2b-55b1-3fa9-a614-bf76144e6256

7) Short Name: West African croakers - CA'te d'lvoire, Ghana, Togo and Benin
GRSF Semantic identifier: asfis:PSE;asfis:PSS;asfis:PTY+fa0:34.3.4
Record URL.: http://data.d4science.org/ctlg/GRSF/9d81aa77-1fba-3804-b3f9-d4514d6705dc

8) Short Name: Madeiran sardinella - CA'te d'lvoire, Ghana, Togo and Benin
GRSF Semantic identifier: asfis:SAE+fa0:34.3.4
Record URL.: http://data.d4science.org/ctlg/GRSF/5b8db9bb-d367-38ed-a735-58f06d671b95

9) Short Name: Round sardinella - CA'te d'Ivoire, Ghana, Togo and Benin
GRSF Semantic identifier: asfis:SAA+fa0:34.3.4
Record URL: http://data.d4science.org/ctlg/GRSF/e5140296-e7df-3ef8-8bdc-aa42066b2fbf

10) Short Name: Red Pandora - CA'te d'lvoire, Ghana, Togo and Benin
GRSF Semantic identifier: asfis:PAR+fa0:34.3.4

Record URL.: http://data.d4science.org/ctlg/GRSF/06b7b71a-68e7-3197-b1ef-30c2b30a68f9

11) Short Name: Bigeye grunt - CA'te d'lvoire, Ghana, Togo and Benin
GRSF Semantic identifier: asfis:GRB+fa0:34.3.4
Record URL.: http://data.d4science.org/ctlg/GRSF/f0a3c335-1a7d-30e2-b906-df7ae9a33fd3

12) Short Name: Lesser African threadfin - CA'te d'lvoire, Ghana, Togo and Benin
GRSF Semantic identifier: asfis:GAL+fa0:34.3.4
Record URL.: http://data.d4science.org/ctlg/GRSF/1bfde57e-b9e6-3dee-b0e3-1017a557c4ca

Could you kindly please assist with correcting this?

Many thanks

History

#1 - Dec 10, 2020 03:25 PM - Yannis Marketakis

- Status changed from New to In Progress

Of course, | will correct those.

In addition, | will check why this happened.

FYI: | see that the corresponding legacy records were published properly (e.g.
http://data.d4science.org/ctlg/GRSF_Admin/f13a393f-80c7-3503-8780-bbdd9f5705e1),

#2 - Dec 10, 2020 03:43 PM - Yannis Marketakis
- % Done changed from 0 to 10

The issue occurred during the importing of short names of GRSF records from the previous version of the knowledge base.

For some reason, these resources were imported without taking into account the proper encoding.
This is fixed now.

I'll update the aforementioned GRSF records, and search if there are others with the same issue.

#3 - Dec 11, 2020 09:14 AM - Yannis Marketakis
- Status changed from In Progress to Closed

- % Done changed from 10 to 100

The records have been updated. They've been updated in both VRS (Admin and Public).
